# $Revision: 1.10 $, $Date: 2009/03/24 00:05:11 $
%define		appname	kernelupdatenotifier

Summary:	Kernel Update Notifier for KDE4
Summary(pl.UTF-8):	Powiadomienie o zaktualizowanym kernelu dla KDE4
Name:		kde4-%{appname}
Version:	1.1.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	%{appname}-%{version}.tar.gz
# Source0-md5:	908fd0a521b87b75168f020b648cdf03
BuildRequires:	cmake
BuildRequires:	kde4-kdebase-workspace-devel
BuildRequires:	kde4-kdelibs-devel
Suggests:	kernel-desktop
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kernel Update Notifier for KDE4.

%description -l pl.UTF-8
Powiadomienie o zaktualizowanym kernelu dla KDE4.

%prep
%setup -q -n %{appname}-%{version}

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	../

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/apps/kernelupdatenotifier
install *.notifyrc $RPM_BUILD_ROOT%{_datadir}/apps/kernelupdatenotifier

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kernelupdatenotifier
%{_datadir}/apps/kernelupdatenotifier

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kernelupdatenotifier.spec,v $
Revision 1.10  2009/03/24 00:05:11  shadzik
- S: kernel-desktop

Revision 1.9  2009/03/23 23:53:05  shadzik
- up to 1.1.1 which uses cmake

Revision 1.8  2009/03/23 19:49:43  shadzik
- new tarball

Revision 1.7  2009/03/23 19:37:01  shadzik
- up to 1.1

Revision 1.6  2009/03/19 17:43:58  shadzik
- license
- cosmetics
- rel 1

Revision 1.5  2009/03/19 17:37:01  shadzik
- remove stupid TODO

Revision 1.4  2009/03/19 17:36:42  shadzik
- fix build

Revision 1.3  2009/03/19 17:29:39  shadzik
- one defattr is enough

Revision 1.2  2009/03/19 17:27:36  glen
- fix builddir, missing BR

Revision 1.1  2009/03/19 17:23:17  glen
- separate spec (ripped from kernel-desktop.spec@Titanium)
